export default async function isSupported() {
  if (!window.PublicKeyCredential) return Promise.resolve(false);
  if (!window.AuthenticatorAttestationResponse) return Promise.resolve(false);
  if (!window.AuthenticatorAttestationResponse.prototype.getPublicKey) return Promise.resolve(false);
  return await PublicKeyCredential.isUserVerifyingPlatformAuthenticatorAvailable();
}
