export function json_success(json: unknown, status = 200) {
  const body = json === null ? null : JSON.stringify(json);

  return new Response(body, {
    status,
    headers: {
      "Content-Type": "application/json",
    },
  });
}

export function json_error(message: string, status: number) {
  const body = message ? JSON.stringify({ message }) : null;

  return new Response(body, {
    status,
    headers: {
      "Content-Type": "application/json",
    },
  });
}
